id: wordpress-coming-soon

info:
  name: Website Builder by SeedProd — Theme Builder, Landing Page Builder, Coming Soon Page, Maintenance Mode Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/coming-soon/
  metadata:
    plugin_namespace: coming-soon
    wpscan: https://wpscan.com/plugin/coming-soon
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/coming-soon/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/coming-soon.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a00483046022100d91d6161d8b350174d8787ca6f2b31ab27e37d6a0a41388c0e09ee1265029278022100a099ac9b78015392aaf805d1580a3ea2409128cedb91f6051c4f1b3c4b8a5490:922c64590222798bb761d5b6d8e72950